
var tags = document.getElementsByClassName("task-list-item");
var i;
for (i=0; i<tags.length; ++i) {
    
    var f =
    function(event) {
        var taskIndex = this.attributes.getNamedItem("taskIndex")
        var taskCount = this.attributes.getNamedItem("taskCount")
        var entryUUID = this.attributes.getNamedItem("entryUUID")
        
        document.location ='task-list-item-changed://'
        + '?taskIndex=' + taskIndex.value
        + '&taskCount=' + taskCount.value
        + '&entryUUID=' + entryUUID.value;
        
        event.stopPropagation();
    };
    
    tags[i].addEventListener("click", f)
}